Bug 915770 - System currency page could provide incorrect info
System currency page could provide incorrect info
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space19
  Show dependency treegraph
 
Reported: 2013-02-26 08:32 EST by Tomáš Kašpárek
Modified: 2013-03-06 13:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:35:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Kašpárek 2013-02-26 08:32:56 EST
Description of problem:
Numbers provided on rhn/systems/SystemCurrency.do could be bigger for any security update.

Version-Release number of selected component (if applicable):
Spacewalk 1.9

How reproducible:
always


Steps to Reproduce:
1. open rhn/systems/SystemCurrency.do
  
Actual results:
Number of security erratas that could be applied to system is bigger than actual result

Expected results:
Corrected numbers are shown

Additional info:
in code/src/com/redhat/rhn/common/db/datasource/xml/System_queries.xml we have following code:
sum(case when substr(errata.synopsis, 1, 1) = 'C' then 1 else 0 end) critical,
sum(case when substr(errata.synopsis, 1, 1) = 'I' then 1 else 0 end) important,
sum(case when substr(errata.synopsis, 1, 1) = 'M' then 1 else 0 end) moderate,
sum(case when substr(errata.synopsis, 1, 1) = 'L' then 1 else 0 end) low,

We are not checking if the errata has advisory type 'Security Advisory' and that leads to situation where any Bug Fix or Enhancement errata can contribute to number of security errata.
Comment 1 Tomáš Kašpárek 2013-02-27 05:16:47 EST
fixed in spacewalk master e8ad21403d85a917dee261116a54c141b5680d1a
Comment 2 Stephen Herr 2013-03-01 12:08:06 EST
Marking bug as ON_QA since tonight's build of Spacewalk nightly is a release candidate for Spacewalk 1.9.
Comment 3 Stephen Herr 2013-03-06 13:35:47 EST
Spacewalk 1.9 has been released.

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes19

Note You need to log in before you can comment on or make changes to this bug.